# eth\_getBlockByHash

1. **Parameters**

* <mark style="color:blue;">Hash</mark> string\*REQUIRED
* <mark style="color:blue;">Transaction\_detail\_flag</mark> Boolean\*REQUIRED

```bash
curl https://Krypc-End Point URL/ \
-X POST \
-H "Content-Type: application/json" \
--data '{
	"method":"eth_getBlockByHash",
	"params":["0x829df9bb801fc0494abf2f443423a49ffa32964554db71b098d332d87b70a48b",false],
	"id":1,
	"jsonrpc":"2.0"
}'

```

2. Returns
   1. Result

      Object- A block object, or null when no block was found

      1. <mark style="color:blue;">baseFeePerGas</mark>

         A string of the base fee encoded in hexadecimal format. Please note that this response field will not be included in a block requested before the EIP-1559 upgrade
      2. <mark style="color:blue;">difficulty</mark>

         The integer of the difficulty for this block encoded as a hexadecimal
      3. <mark style="color:blue;">extraData</mark>

         The “extra data” field of this block
      4. <mark style="color:blue;">gasLimit</mark>

         The maximum gas allowed in this block encoded as a hexadecimal
      5. <mark style="color:blue;">gasUsed</mark>

         The total used gas by all transactions in this block encoded as a hexadecimal
      6. <mark style="color:blue;">hash</mark>

         The block hash of the requested block. null if pending
      7. <mark style="color:blue;">logsBloom</mark>

         The bloom filter for the logs of the block. null if pending
      8. <mark style="color:blue;">miner</mark>

         The address of the beneficiary to whom the mining rewards were given
      9. <mark style="color:blue;">mixHash</mark>

         A string of a 256-bit hash encoded as a hexadecimal
      10. <mark style="color:blue;">nonce</mark>

          The hash of the generated proof-of-work. null if pending
      11. <mark style="color:blue;">number</mark>

          The block number of the requested block encoded as a hexadecimal. null if pending
      12. <mark style="color:blue;">parentHash</mark>

          The hash of the parent block
      13. <mark style="color:blue;">receiptsRoot</mark>

          The root of the receipts trie of the block
      14. <mark style="color:blue;">sha3Uncles</mark>

          The SHA3 of the uncles data in the block
      15. <mark style="color:blue;">size</mark>

          The size of this block in bytes as an Integer value encoded as hexadecimal
      16. <mark style="color:blue;">stateRoot</mark>

          The root of the final state trie of the block
      17. <mark style="color:blue;">timestamp</mark>

          The unix timestamp for when the block was collated
      18. <mark style="color:blue;">totalDifficulty</mark>

          The integer of the total difficulty of the chain until this block encoded as a hexadecimal
      19. <mark style="color:blue;">transactions</mark>

          An array of transaction objects - please see eth\_getTransactionByHash for exact shape
      20. <mark style="color:blue;">transactionsRoot</mark>

          The root of the transaction trie of the block
      21. <mark style="color:blue;">uncles</mark>

          An array of uncle hashes


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getblockbyhash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
